Skip to main content
PUT
/
warehouses
/
{warehouseId}
Update warehouse
curl --request PUT \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/warehouses/{warehouseId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "address": "<string>",
  "street_address_1": "<string>",
  "street_address_2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "is_pick_location": true
}
'
{
  "id": 123,
  "status": "<string>",
  "name": "<string>",
  "address": "<string>",
  "street_address_1": "<string>",
  "street_address_2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "is_pick_location": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

warehouseId
integer
required

Warehouse ID

Body

application/json
name
string

Warehouse name

Maximum string length: 255
address
string | null

Street address

street_address_1
string | null

Street address line 1

street_address_2
string | null

Street address line 2

city
string | null

City

Maximum string length: 255
state
string | null

State/province

Maximum string length: 255
zip
string | null

Postal/ZIP code

Maximum string length: 255
country
string | null

Country

Maximum string length: 255
is_pick_location
boolean | null

Whether this is a pick location

Response

Warehouse updated

id
integer

Warehouse ID

status
string | null

Warehouse status (e.g. active, inactive)

name
string

Warehouse name

address
string | null

Street address

street_address_1
string | null

Street address line 1

street_address_2
string | null

Street address line 2

city
string | null

City

state
string | null

State/province

zip
string | null

Postal/ZIP code

country
string | null

Country

is_pick_location
boolean

Whether this warehouse is a pick location

created_at
string<date-time>

When the warehouse was created

updated_at
string<date-time>

When the warehouse was last updated